vault {
  address = "https://vault.sendico.io"
}

auto_auth {
  method "approle" {
    mount_path = "auth/approle"
    config = {
      role_id_file_path    = "/run/vault/role_id"
      secret_id_file_path  = "/run/vault/secret_id"
    }
  }

  sink "file" {
    config = {
      path = "/run/vault/token"
      mode = 0600
    }
  }
}
